package test;

import java.util.concurrent.ThreadLocalRandom;

public class Rnd {
	public static int get(int n) { return ThreadLocalRandom.current().nextInt(n); }
	public static long get(long n) { return ThreadLocalRandom.current().nextLong(n); }
	public static double get(double n) { return ThreadLocalRandom.current().nextDouble(n); }
	public static int getSign() { return ThreadLocalRandom.current().nextInt(2) * - 1; }
	public static int get(int min, int max) { return min + ThreadLocalRandom.current().nextInt(max - min + 1); }
	public static long get(long min, long max) { return min + ThreadLocalRandom.current().nextLong(max - min + 1); }
	public static double get(double min, double max) { return min + ThreadLocalRandom.current().nextDouble(max - min + 1); }
}
